import { ChangeDetectorRef, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { OrderConfirmationAnalysisResult } from '@colijnit/transactionapi/build/model/order-confirmation-analysis-result.bo';
import { PurchaseConfirmationService } from '../../service/purchase-confirmation.service';
import { IconCacheService } from '../../service/icon-cache.service';
import { Icon } from '../../enum/icon.enum';
import { TransactionEventService } from '../../service/transaction-event.service';
import { TransactionInfoResponse } from '@colijnit/transactionapi/build/model/transaction-info-response.bo';
import { TransactionLineInfo } from '@colijnit/transactionapi/build/model/transaction-line-info.bo';
import { OverlayService } from '@colijnit/corecomponents_v12';
export declare class ConfirmationViewModel {
    confirmation: OrderConfirmationAnalysisResult;
    temp: boolean;
    lineNr: number;
    color: string;
}
export declare class PurchaseConfirmationLinesComponent implements OnInit, OnDestroy {
    iconCacheService: IconCacheService;
    private _purchaseConfirmationService;
    private _transactionEventService;
    private _changeDetector;
    private _overlayService;
    readonly icons: typeof Icon;
    parentElementForPopup: ElementRef;
    set transaction(value: TransactionInfoResponse);
    get transaction(): TransactionInfoResponse;
    showClass(): boolean;
    purchaseConfirmations: ConfirmationViewModel[];
    currentConfirmationViewModel: ConfirmationViewModel;
    transactionLines: TransactionLineInfo[];
    hasPdfFileUrl: boolean;
    private _transaction;
    private _subs;
    private _popupComponentRef;
    constructor(iconCacheService: IconCacheService, _purchaseConfirmationService: PurchaseConfirmationService, _transactionEventService: TransactionEventService, _changeDetector: ChangeDetectorRef, _overlayService: OverlayService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    openPdf(): void;
    handleClearAnalysis(): void;
    handleDragStart(event: DragEvent, confirmationVM: ConfirmationViewModel): void;
    trackByFn(index: number, line: ConfirmationViewModel): any;
    showPopup(element: HTMLElement, confirmationVM: ConfirmationViewModel): void;
    hidePopup(): void;
    private _handleTransactionLineClick;
}
